Package ch.qos.logback.classic.spi

# Interface ILoggingEvent

All Superinterfaces:
  `DeferredProcessingAware`

All Known Implementing Classes:
  `LoggingEvent`, `LoggingEventVO`

public interface ILoggingEvent extends DeferredProcessingAware
The central interface in logback-classic. In a nutshell, logback-classic is nothing more than a processing chain built around this interface.

Since:
  0.9.16
Author:
  Ceki Gülcü

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getArgumentArray()`
`StackTraceElement[]`
`getCallerData()`
Return caller data associated with this event.
`String`
`getFormattedMessage()`
`Level`
`getLevel()`
`LoggerContextVO`
`getLoggerContextVO()`
`String`
`getLoggerName()`
`org.slf4j.Marker`
`getMarker()`
`Map<String,String>`
`getMdc()`
Deprecated.
Replaced by [@link #getMDCPropertyMap}
`Map<String,String>`
`getMDCPropertyMap()`
Returns the MDC map.
`String`
`getMessage()`
`String`
`getThreadName()`
`IThrowableProxy`
`getThrowableProxy()`
`long`
`getTimeStamp()`
`boolean`
`hasCallerData()`
If this event has caller data, then true is returned.
`void`
`prepareForDeferredProcessing()`

## Method Details

### getThreadName

String getThreadName()

### getLevel

Level getLevel()

### getMessage

String getMessage()

### getArgumentArray

Object[] getArgumentArray()

### getFormattedMessage

String getFormattedMessage()

### getLoggerName

String getLoggerName()

### getLoggerContextVO

LoggerContextVO getLoggerContextVO()

### getThrowableProxy

IThrowableProxy getThrowableProxy()

### getCallerData

StackTraceElement[] getCallerData()
Return caller data associated with this event. Note that calling this event may trigger the computation of caller data.

Returns:
  the caller data associated with this event.
See Also:
  - `hasCallerData()`

### hasCallerData

boolean hasCallerData()
If this event has caller data, then true is returned. Otherwise the returned value is null.

Logback components wishing to use caller data if available without causing it to be computed can invoke this method before invoking `getCallerData()`.

Returns:
  whether this event has caller data

### getMarker

org.slf4j.Marker getMarker()

### getMDCPropertyMap

Map<String,String> getMDCPropertyMap()
Returns the MDC map. The returned value can be an empty map but not null.

### getMdc

Map<String,String> getMdc()
Deprecated.
Replaced by [@link #getMDCPropertyMap}
Synonym for [@link #getMDCPropertyMap}.

### getTimeStamp

long getTimeStamp()

### prepareForDeferredProcessing

void prepareForDeferredProcessing()

Specified by:
  `prepareForDeferredProcessing` in interface `DeferredProcessingAware`